core/almacen/urls.py
from django.urls import path
from django.contrib.auth.decorators import login_required
from . import views
app_name = 'almacen'

urlpatterns = [
    path('inicio/', views.DashboardView.as_view(), name='inicio'),
    path('productos/', views.ProductoListView.as_view(), name='producto_list'),
    path('productos/<str:pk>', views.ProductoDetailView.as_view(), name='producto_detail'),
    path('productos/create/', views.ProductoCreate.as_view(), name='producto_create'),
    path('productos/<str:pk>/update/', views.ProductoUpdate.as_view(), name='producto_update'),
    path('productos/<str:pk>/delete/', views.ProductoDelete.as_view(), name='producto_delete'),
    path('familia/', views.FamiliaListView.as_view(), name='familia_list'),
    path('familia/<str:pk>', views.FamiliaDetailView.as_view(), name='familia-detail'),
    path('familia/create/', views.FamiliaCreate.as_view(), name='familia_create'),
    path('familia/<str:pk>/update/', views.FamiliaUpdate.as_view(), name='familia_update'),
    path('familia/<str:pk>/delete/', views.FamiliaDelete.as_view(), name='familia_delete'),
    path('tipoventa/', views.TipoVListView.as_view(), name='tipov_list'),
    path('tipoventa/create/', views.TipoVCreate.as_view(), name='tipov_create'),
    path('tipoproducto/', views.TipoListView.as_view(), name='tipo_list'),
    path('tipoproducto/<str:pk>', views.TipoDetailView.as_view(), name='tipo_detail'),
    path('tipoproducto/create/', views.TipoCreate.as_view(), name='tipo_create'),
    path('tipoproducto/<str:pk>/update/', views.TipoUpdate.as_view(), name='tipo_update'),
    path('tipoproducto/<str:pk>/delete/', views.TipoDelete.as_view(), name='tipo_delete'),
    path('clientes/', views.ClienteListView.as_view(), name='cliente_list'),
    path('clientes/<str:pk>', views.ClienteDetailView.as_view(), name='cliente_detail'),
    path('clientes/create/', views.ClienteCreate.as_view(), name='cliente_create'),
    path('clientes/<str:pk>/update/', views.ClienteUpdate.as_view(), name='cliente_update'),
    path('clientes/<str:pk>/delete/', views.ClienteDelete.as_view(), name='cliente_delete'),
    path('credito/', views.CreditoListView.as_view(), name='credito'),
    path('proveedor/', views.ProveedorListView.as_view(), name='proveedor_list'),
    path('proveedor/<str:pk>', views.ProveedorDetailView.as_view(), name='proveedor_detail'),
    path('proveedor/create/', views.ProveedorCreate.as_view(), name='proveedor_create'),
    path('proveedor/<str:pk>/update/', views.ProveedorUpdate.as_view(), name='proveedor_update'),
    path('proveedor/<str:pk>/delete/', views.ProveedorDelete.as_view(), name='proveedor_delete'),
    path('compras/', views.OrdenListView.as_view(), name='compra_list'),
    path('compras/create/', views.OrdenCreate.as_view(), name='compra_create'),
    path('compras/update/<int:pk>/', views.OrdenUpdate.as_view(), name='orden_update'),
    path('compras/delete/<int:pk>/', views.OrdenDelete.as_view(), name='orden_delete'),
    path('recepcion/', views.RecepcionView.as_view(), name='recepcion'),
    # test
    path('test/', views.TestView.as_view(), name='test'),
    path('ventas/', views.VentaListView.as_view(), name='venta_list'),
    path('venta/create/', views.VentaCreate.as_view(), name='venta_create'),
    #path('productos/barcode/pdf/', views.BarCode.as_view(), name='barcode_pdf'),
    path('venta/invoice/pdf/<int:pk>/', views.VentaInvoicePdfView.as_view(), name='venta_invoice_pdf'),
    path('productos/reporte/pdf/', login_required(views.generar_reporte_productos), name='producto_reporte_pdf'),
    path('reporte/venta/', views.ReportVentaView.as_view(),name='venta_reporte'),
    path('reporte/compra/', views.ReportCompraView.as_view(),name='compra_reporte'),
]

yuyitos/urls.py
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static
from django.views.generic import RedirectView
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.contrib.auth import views
from core.almacen.views import IndexView
urlpatterns = [ 
    path('', IndexView.as_view(), name='index'),
    path('almacen/', include('core.almacen.urls')),
    path('admin/', admin.site.urls),  
    path('', include('core.user.urls')),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += [
    path('accounts/', include('django.contrib.auth.urls')),
]

core/almacen/models.py
from django.db import models

from django.conf import settings
from datetime import datetime, date, timedelta
from django.db.models import signals
from django.forms import model_to_dict
from django.urls import reverse 
from yuyitos.settings import MEDIA_URL, STATIC_URL

class Abono(models.Model):
    id = models.AutoField(primary_key=True, serialize=False)
    abonado = models.DecimalField(max_digits=10, decimal_places=2, default=0)
    fecha_abono = models.DateField()
    credito = models.ForeignKey('Credito',  on_delete=models.CASCADE)

    def __str__(self):
        return self.abonado
    
    def toJSON(self):
        item = model_to_dict(self)
        item['abonado'] = format(self.abonado, '.0f')
        item['fecha_abono'] = self.fecha_abono.strftime('%d/%m/%Y')
        return item

    class Meta:
        managed = False
        db_table = 'abono'
    
"""
class BoletaImpresion(models.Model):
    nro_boleta = models.CharField(primary_key=True, max_length=30)
    id_venta = models.ForeignKey('Venta',  on_delete=models.CASCADE, db_column='id_venta')

    def __str__(self):
        return self.nro_boleta

    class Meta:
        managed = False
        db_table = 'boleta_impresion'
    
"""

class Cliente(models.Model):
    id_cliente = models.CharField(primary_key=True, max_length=30)
    nombre_cliente = models.CharField(max_length=60)
    direccion_cliente = models.CharField(max_length=60, blank=True, null=True)
    email_cliente = models.CharField(max_length=50, blank=True, null=True, unique=True)
    telefono_cliente = models.PositiveIntegerField()

    def toJSON(self):
        item = model_to_dict(self)
        return item

    def __str__(self):
        return self.nombre_cliente

    def get_absolute_url(self):
        return reverse('almacen:cliente_detail', args=[str(self.id_cliente)])

    class Meta:
        managed = False
        db_table = 'cliente'
    

class Credito(models.Model):
    id = models.AutoField(primary_key=True, serialize=False)
    estado_credito = models.CharField(max_length=30)
    fecha_convenida = models.DateField()
    monto_venta = models.DecimalField(max_digits=10, decimal_places=2, default=0)
    monto_pendiente = models.DecimalField(max_digits=10, decimal_places=2, default=0)
    venta = models.ForeignKey('Venta',  on_delete=models.CASCADE)
    id_cliente = models.ForeignKey(Cliente,  on_delete=models.CASCADE, db_column='id_cliente')

    def __str__(self):
        return self.id
    
    def toJSON(self):
        item = model_to_dict(self)
        item['fecha_convenida'] = self.fecha_convenida.strftime('%d/%m/%Y')
        item['monto_venta'] = format(self.monto_venta, '.0f')
        item['monto_pendiente'] = format(self.monto_pendiente, '.0f')
        item['venta'] = self.venta.toJSON()
        item['id_cliente'] = self.id_cliente.toJSON()
        item['det'] = [i.toJSON() for i in self.abono_set.all()]
        return item

    class Meta:
        managed = False
        db_table = 'credito'
    

class Empresa(models.Model):
    id_empresa = models.CharField(primary_key=True, max_length=30)
    nombre_empresa = models.CharField(max_length=30)
    simbolo_moneda = models.CharField(max_length=3)
    moneda_decimal = models.BooleanField()
    logo_empresa = models.ImageField(upload_to='photos')

    def __str__(self):
        return self.nombre_empresa
    
    def get_image(self):
        if self.logo_empresa:
            return '{}{}'.format(MEDIA_URL, self.logo_empresa)
        return '{}{}'.format(STATIC_URL, 'dist/img/empty.png')

    class Meta:
        managed = False
        db_table = 'empresa'


class FamiliaProducto(models.Model):
    id_familia = models.CharField(primary_key=True, max_length=30)
    familia = models.CharField(max_length=30, unique=True)

    def toJSON(self):
        item = model_to_dict(self)
        return item
    
    def __str__(self):
        return self.familia
        #return str(self.id_familia) + " | " + str(self.familia)

    def get_absolute_url(self):
        return reverse('almacen:familia-detail', args=[str(self.id_familia)])
    class Meta:
        managed = False
        db_table = 'familia_producto'

class IngresoProducto(models.Model):
    id = models.AutoField(primary_key=True, serialize=False)
    stock_ingreso = models.PositiveIntegerField()
    recepcion = models.ForeignKey('Recepcion',  on_delete=models.CASCADE)
    codigo = models.ForeignKey('Producto',  on_delete=models.CASCADE, db_column='codigo')

    def __str__(self):
        return self.id
    
    def toJSON(self):
        item = model_to_dict(self, exclude=['orden'])
        item['codigo'] = self.codigo.toJSON()
        return item

    class Meta:
        managed = False
        db_table = 'ingreso_producto'
    
"""
def update_stock(sender, instance, **kwargs):
    instance.producto.stock += instance.stock_ingreso
    instance.producto.save()

signals.post_save.connect(update_stock, sender=IngresoProducto, dispatch_uid="update_stock_count")
"""
class OrdenDePedido(models.Model):
    id = models.AutoField(primary_key=True, serialize=False)
    fecha_orden = models.DateField()
    estado_orden = models.CharField(max_length=30,default='Pendiente')
    id_proveedor = models.ForeignKey('Proveedor',  on_delete=models.CASCADE, db_column='id_proveedor')
    total = models.DecimalField(max_digits=10, decimal_places=2, default=0)
    
    def __str__(self):
        return self.id

    def toJSON(self):
        item = model_to_dict(self)
        item['id_proveedor'] = self.id_proveedor.toJSON()
        item['estado_orden'] = self.estado_orden
        item['total'] = format(self.total, '.0f')
        item['fecha_orden'] = self.fecha_orden.strftime('%d/%m/%Y')
        item['det'] = [i.toJSON() for i in self.ordenproductos_set.all()]
        return item
    
    class Meta:
        managed = False
        db_table = 'orden_de_pedido'
    

class OrdenProductos(models.Model):    
    id = models.AutoField(primary_key=True)
    orden = models.ForeignKey(OrdenDePedido, on_delete=models.CASCADE)
    codigo = models.ForeignKey('Producto',  on_delete=models.CASCADE, db_column='codigo')
    cantidad_orden_producto = models.PositiveIntegerField()
    precio = models.DecimalField(default=0.00, max_digits=9, decimal_places=2)
    subtotal = models.DecimalField(default=0.00, max_digits=9, decimal_places=2)
    
    def __str__(self):
        return self.codigo.descripcion

    def toJSON(self):
        item = model_to_dict(self, exclude=['orden'])
        item['codigo'] = self.codigo.toJSON()
        item['precio'] = format(self.precio, '.0f')
        item['subtotal'] = format(self.subtotal, '.0f')
        return item

    class Meta:
        managed = False
        db_table = 'orden_productos'
    

class Producto(models.Model):
    codigo = models.CharField(primary_key=True, max_length=17)
    descripcion = models.CharField(max_length=80)
    precio_compra = models.DecimalField(max_digits=10, decimal_places=2, default=0)
    precio_venta = models.DecimalField(max_digits=10, decimal_places=2, default=0)
    stock = models.PositiveIntegerField()
    stock_critico = models.PositiveIntegerField()
    fecha_vencimiento = models.DateField(blank=True, null=False)
    image = models.ImageField(upload_to='product/%Y/%m/%d', null=True, blank=True, verbose_name='Imagen')
    id_proveedor = models.ForeignKey('Proveedor',  on_delete=models.CASCADE, db_column='id_proveedor')
    id_familia = models.ForeignKey(FamiliaProducto,  on_delete=models.CASCADE, db_column='id_familia')
    id_tipo_producto = models.ForeignKey('TipoProducto',  on_delete=models.CASCADE, db_column='id_tipo_producto')
    
    def get_date(self):
        hoy = date.today()
        dias = timedelta(days=30)
        hoy_mas_dias = hoy+dias
        return hoy_mas_dias
     
    def toJSON(self):
        item = model_to_dict(self)
        item['id_proveedor'] = self.id_proveedor.toJSON()
        item['id_familia'] = self.id_familia.toJSON()
        item['id_tipo_producto'] = self.id_tipo_producto.toJSON()
        item['image'] = self.get_image()
        item['precio_compra'] = format(self.precio_compra, '.0f')
        item['precio_venta'] = format(self.precio_venta, '.0f')
        return item

    def __str__(self):
        return self.descripcion

    def get_image(self):
        if self.image:
            return '{}{}'.format(MEDIA_URL, self.image)
        return '{}{}'.format(STATIC_URL, 'dist/img/empty.png')

    def get_absolute_url(self):
        return reverse('almacen:producto_detail', args=[str(self.codigo)])

    class Meta:
        managed = False
        db_table = 'producto'


class Proveedor(models.Model):
    id_proveedor = models.CharField(primary_key=True, max_length=30)
    nombre_proveedor = models.CharField(max_length=30)
    rubro_proveedor = models.CharField(max_length=60)
    email_proveedor = models.CharField(max_length=30, unique=True)
    telefono_proveedor = models.PositiveIntegerField()
    
    def __str__(self):
        return self.nombre_proveedor
    
    def toJSON(self):
        item = model_to_dict(self)
        return item

    def get_absolute_url(self):
        return reverse('almacen:proveedor_detail', args=[str(self.id_proveedor)])

    class Meta:
        managed = False
        db_table = 'proveedor'

class Recepcion(models.Model):
    id = models.AutoField(primary_key=True, serialize=False)
    fecha_recepcion = models.DateField()
    orden = models.ForeignKey(OrdenDePedido,  on_delete=models.CASCADE)

    def __str__(self):
        return self.id

    def toJSON(self):
        item = model_to_dict(self)
        item['fecha_recepcion'] = self.fecha_recepcion.strftime('%d/%m/%Y')
        item['det'] = [i.toJSON() for i in self.ingresoproducto_set.all()]
        return item

    class Meta:
        managed = False
        db_table = 'recepcion'


class TipoProducto(models.Model):
    id_tipo_producto = models.CharField(primary_key=True, max_length=30)

templates/views/cliente/cliente_create.html
{% extends "views/default/base.html" %}

{% load static %}

{% block title %}Creacion de Cliente{% endblock %}

{% block content %}
<div class="wrapper">
    <!-- Navbar -->
    {% include "views/default/header.html" %}
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    {% include "views/default/menu.html" %}
    <div class="content-wrapper">
        <div class="content-header">
        </div>
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-6 offset-md-3 mr-auto ml-auto">               
                        <!-- Default box -->
                        <form action="." method="post" class="" enctype="multipart/form-data" autocomplete="off">
                            <div class="card card-info mb-4">
                                <div class="card-header">
                                    <h3 class="m-0 font-weight-bold card-title">Formulario de clientes</h3>
                                </div>
                                <div class="card-body">
                                    <div class="form-group">
                                        {% csrf_token %}
                        
                                        
                                        <div class="row form-group">
                                            <div class="col col-md-12">
                                                 <label for="" id="" class="form-control-label">Nombre:</label>
                                                {{ form.nombre_cliente }}
                                            </div> 
                                            <div class="col-12 col-md-9">                                              
                                                <br>                                  
                                            </div>    
                                            <div class="col col-md-12">
                                                <label for="" id="" class="form-control-label">Dirección:</label>
                                               {{ form.direccion_cliente }}
                                            </div> 
                                            <div class="col-12 col-md-9">                                              
                                               <br>                                  
                                            </div>  
                                            <div class="col col-md-12">
                                                <label for="" id="" class="form-control-label">Email:</label>
                                            {{ form.email_cliente }}
                                            </div> 
                                            <div class="col-12 col-md-9">                                              
                                                <br>                                  
                                            </div>  
                                            <div class="col col-md-12">
                                                <label for="" id="" class="form-control-label">Teléfono:</label>
                                            {{ form.telefono_cliente }}
                                            </div> 
                                        </div>    
                                        
                                                                                                                      
                                    </div>
                                </div>
                                <!-- /.card-body -->
                                <div class="card-footer">
                                    <a href="{% url 'almacen:cliente_list' %}"><button type="button" class="btn btn-secondary"><i class="fas fa-times"></i> Cancelar</button></a>
                                    <button type="submit" class="btn btn-success float-right"><i class="fas fa-save"></i> {{ boton }} registro</button>
                                </div>
                                <!-- /.card-footer-->
                            </div>
                            <!-- /.card -->
                        </form>
                    </div>  
                </div> 
            </div>  
        </section>
    </div> 
    {% include "views/default/footer.html" %} 
</div>

{% endblock content %}
{% block js %}
<script>
    {% if form.errors %}
    var errors = '';
    {% for field in form %}
        {% for error in field.errors %}
            errors += '{{ error }}\n';
        {% endfor %}
    {% endfor %}
    {% for error in form.non_field_errors %}
        errors += '{{ error }}\n';
    {% endfor %}
    Swal.fire({
        icon: 'error',
        title: 'Error!',
        text: errors,
    });
    {% endif %}
</script>
{% endblock js %}

templates/views/cliente/cliente_delete.html
{% extends "views/default/base.html" %}

{% load static %}

{% block title %}Eliminar Cliente{% endblock %}

{% block content %}
<div class="wrapper">
    <!-- Navbar -->
    {% include "views/default/header.html" %}
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    {% include "views/default/menu.html" %}
    <div class="content-wrapper">
        <div class="content-header">
        </div>
        <section class="content">
            <!-- START ALERTS AND CALLOUTS -->
            <div class="row">
                <div class="col-md-12">
                    <div class="card card-info card-outline">
                        <div class="card-header with-border">
                            <i class="fa fa-bullhorn"></i>
                        </div><!-- /.box-header -->
                        <div class="card-body">
                            <div class="callout callout-danger coloreliminar">
                                <h1> Eliminar</h1>
                                <form method="POST">
                                    {% csrf_token %}
                                    <p>¿Desea eliminar el cliente
                                        "{{ object.nombre_cliente }}"?</p>
                                    <input type="submit" value="Sí" class="btn btn-warning">
                                    <a href="{% url 'almacen:cliente_list' %}" class="btn btn-info">No</a>
                                </form>
                            </div>
                        </div><!-- /.box -->
                    </div><!-- /.col -->
                </div><!-- /.row -->
        </section><!-- /.content -->
    </div> 
    {% include "views/default/footer.html" %} 
</div>

{% endblock content %}

templates/views/cliente/cliente_detail.html
{% extends "views/default/base.html" %}

{% load static %}

{% block title %}Detalle cliente{% endblock %}

{% block content %}
<div class="wrapper">
    <!-- Navbar -->
    {% include "views/default/header.html" %}
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    {% include "views/default/menu.html" %}
    <div class="content-wrapper">
        <div class="content-header">
        </div>
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-6 offset-md-3 mr-auto ml-auto">               
                        <div class="card shadow mb-4">
                            <div class="card-header py-3">
                                <h3 class="m-0 font-weight-bold card-title text-primary">Detalle Cliente</h3>
                            </div>
                            <div class="card-body">   
                                <dl class="row">
                                    <dt class="col-4">Id cliente:</dt>
                                    <dd class="col-8">{{ cliente.id_cliente }}</dd>
                                    <dt class="col-4">Nombre:</dt>
                                    <dd class="col-8">{{ cliente.nombre_cliente }}</dd>
                                    <dt class="col-4">Dirección:</dt>
                                    <dd class="col-8">{{ cliente.direccion_cliente }}</dd>
                                    <dt class="col-4">Email:</dt>
                                    <dd class="col-8">{{ cliente.email_cliente }}</dd>
                                    <dt class="col-4">Teléfono:</dt>
                                    <dd class="col-8">{{ cliente.telefono_cliente }}</dd>
                                </dl>                          
                            </div>
                            <div class="card-footer">
                                <a href="{% url 'almacen:cliente_list' %}"><button type="button" class="btn btn-primary btn-sm">Regresar</button></a>
                            </div>
                        </div>         
                    </div>   
                </div> 
            </div>  
        </section>
    </div> 
    {% include "views/default/footer.html" %} 
</div>

{% endblock content %}

templates/views/cliente/cliente_list.html
{% extends "views/default/base.html" %}

{% load static %}

{% block title %}YUYITOS | Clientes{% endblock %}
{% block css %}
        <style>
            input[type='submit'], button, [aria-label]{
              cursor: pointer;
            }
        </style>       
{% endblock css %}

{% block content %}
{% if user.is_staff or request.user.user_profile == 'operador'  %}
        <div class="wrapper">
            
            <!-- Navbar -->
            {% include "views/default/header.html" %}
            <!-- /.navbar -->
            <!-- Main Sidebar Container -->
            {% include "views/default/menu.html" %}
            <!-- /.sidebar -->
            
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1 class="m-0 text-dark">Gestión de Clientes</h1>
                            </div><!-- /.col -->
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="#">Clientes</a></li>
                                    <li class="breadcrumb-item active">Clientes</li>
                                </ol>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.container-fluid -->
                </div>
                <!-- /.content-header -->
                <!-- Main content -->
                <section class="content">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-12">               
                                <!-- Default box -->
                                <div class="card card-secondary card-outline mb-4">
                                    <div class="card-header">
                                        {% if perms.almacen.add_cliente %}
                                        <a  href="{% url 'almacen:cliente_create' %}" >
                                            <button type="button" class="btn btn-success">
                                                <i class="fas fa-plus"></i>&nbsp;&nbsp;Agregar Cliente
                                            </button>
                                        </a>
                                        {% endif %} 
                                    </div>
                                    <div class="card-body">
                                        <table id="tabla" class="table table-bordered table-striped">
                                            <thead class="bg-info">
                                            <tr>
                                                <th>Nombre</th>
                                                <th>Dirección</th>
                                                <th>Email</th>
                                                <th>Teléfono</th>
                                                <th>Opciones</th>
                                            </tr>
                                            </thead>
                                            
                                            
                                            {% if cliente %}
                                            <tbody>
                                                {% for m in cliente %} 
                                                <tr>
                                                    <td>{{ m.nombre_cliente }}</td>  
                                                    <td>{{ m.direccion_cliente }}</td>                       
                                                    <td>{{ m.email_cliente }}</td>  
                                                    <td>{{ m.telefono_cliente }}</td>  
                                                    <td class="project-actions text-right">
                                                        {% if perms.almacen.view_cliente %}
                                                        <a class="btn btn-info btn-sm" href="{{ m.get_absolute_url }}" >
                                                            <i class="fas fa-eye"></i>
                                                        </a>
                                                        {% endif %}  
                                                        {% if perms.almacen.change_cliente %}
                                                        <a class="btn btn-warning btn-sm" href="{% url 'almacen:cliente_update' m.id_cliente %}">
                                                            <i class="fas fa-pencil-alt"></i>
                                                        </a>
                                                        {% endif %}  
                                                        {% if perms.almacen.delete_cliente %}
                                                        <a class="btn btn-danger btn-sm" href="{% url 'almacen:cliente_delete' m.id_cliente %}">
                                                            <i class="fas fa-trash"></i>
                                                        </a>
                                                        {% endif %}  
                                                    </td>
                                                </tr>
                                              {% endfor %}
                                            </tbody>
                                            {% endif %}  
                                          </table>
                                    </div>
                                    <!-- /.card-body -->
                                    <div class="card-footer">

                                    </div>
                                    <!-- /.card-footer-->
                                </div>
                                <!-- /.card -->
                            </div>
                        </div>
                    </div>
                </section>
                <!-- /.content -->
            </div>
            {% include "views/default/footer.html" %}
           
        </div>
        <!-- ./wrapper -->
        {% endif %}
        <!-- REQUIRED SCRIPTS -->
        {% endblock content %}
        {% block js %}
        <script src="{% static 'dist/js/list.js' %}"></script>
        {% if messages %}
            {% for message in messages %}
                {% if message.tags == 'success'%}
                <script type=text/javascript>
                toastr.{{ message.tags }}('{{ message }}')               
                </script>
                {% endif %}
            {% endfor %}
        {% endif %}
        {% endblock js %}